Skip to main content
POST
/
v1
/
issues
/
export
Export Issues
curl --request POST \
  --url https://api.example.com/v1/issues/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "format": "csv",
  "filters": {
    "q": "<string>",
    "status": "<string>",
    "severity": "<string>",
    "source": "<string>",
    "pattern_id": "<string>",
    "assignee_id": "<string>",
    "team": "<string>",
    "risk_min": 50,
    "risk_max": 50,
    "date_from": "<string>",
    "date_to": "<string>",
    "has_pattern": true,
    "sort": "-risk_score",
    "limit": 25,
    "cursor": "<string>"
  },
  "columns": [
    "<string>"
  ]
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
format
string
default:csv
filters
IssueListFilters · object
columns
string[] | null

Response

Successful Response

The response is of type Response Export Issues V1 Issues Export Post · object.